pqxx::notify_listener Class Referenceabstract

Obsolete notification receiver. More...

`#include <notify-listen.hxx>`

Inheritance diagram for pqxx::notify_listener:

## Public Member Functions

| notify_listener (connection_base &c, const std::string &n)
virtual | ~notify_listener () throw ()
const std::string & | name () const
virtual void | operator() (int be_pid)=0

## Protected Member Functions

connection_base & | Conn () const throw ()
connection_base & | conn () const throw ()

## Detailed Description

Obsolete notification receiver.

Deprecated:
  Use notification_receiver instead.

## Constructor & Destructor Documentation

## notify_listener()

pqxx::notify_listener::notify_listener | ( | connection_base & | c,
|  | const std::string & | n
| ) |  |

## ~notify_listener()

pqxx::notify_listener::~notify_listener | ( |  | ) |
throw | ( |
| ) |  |

virtual

## Member Function Documentation

## Conn()

connection_base& pqxx::notify_listener::Conn | ( |  | ) | const
throw | ( |
| ) |  |

protected

References pqxx::notification_receiver::conn().

## conn()

connection_base& pqxx::notify_listener::conn | ( |  | ) | const
throw | ( |
| ) |  |

protected

## name()

const std::string& pqxx::notify_listener::name | ( |  | ) | const

References pqxx::internal::notify_listener_forwarder::operator()().

## operator()()

virtual void pqxx::notify_listener::operator() | ( | int | be_pid | ) |

pure virtual

The documentation for this class was generated from the following files:

- notify-listen.hxx
- notify-listen.cxx